--[[
Copyright (C) 2016  Neemys, ShadowTheAge

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]

if(not buildingplatform.config.disableOwnPlatform and buildingplatform.config.platformGenerator == "concentric-circle") then

	auxClosure = function(configValue)
		local configSpeedPlatformSpeedBonus = configValue
		return function(tile)
			if(configSpeedPlatformSpeedBonus) then
				if not tile.walking_speed_modifier then
					tile.walking_speed_modifier = 1.4
				end
				tile.walking_speed_modifier = tile.walking_speed_modifier*2.5 --150% speed bonus
			end
		end
	end
	local tilefunction = auxClosure(buildingplatform.config.speedPlatformSpeedBonus)
	local autoplaceObject = nil
	local picturesDirectory = buildingplatform.constants.modRoot.."/graphics/speed-platform"
	local tileColor = {
		r = (153),
		g = (153),
		b = (0)
	}

	local platformObject = buildingplatform.addPlatform(buildingplatform.constants.speedTileName,false,"c-a" ,autoplaceObject,picturesDirectory,tileColor,tilefunction)
end